function [y,r] = radialMean(img)
    %Computes mean radial intensity of img, a single plane square array
    N = length(img);
    [X,Y] = meshgrid(-N/2:N/2-1, -N/2:N/2-1);
    [~,RHO] = cart2pol(X, Y);           %polar coordinates of image
    RHO = uint16(RHO);                  %distance of pixels from center
    
    y = zeros(1,N/2);                   %mean radial intensity
    r = uint16(0:N/2-1);                %radius
    for i = r
        y(i + 1) = mean(img(RHO == i),'All','omitnan');
    end
end